FixedKeyLength< N, IV_REQ, IV_L > Class Template Reference

to be inherited by keyed algorithms with fixed key length More...

`#include <seckey.h>`

## Static Public Member Functions

static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH =N
static const int | MIN_KEYLENGTH =N
static const int | MAX_KEYLENGTH =N
static const int | DEFAULT_KEYLENGTH =N
static const int | IV_REQUIREMENT = IV_REQ
static const int | IV_LENGTH = IV_L

## Detailed Description

### template<unsigned int N, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>
class FixedKeyLength< N, IV_REQ, IV_L >

to be inherited by keyed algorithms with fixed key length

Definition at line 66 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h